<?php

namespace App\Listeners;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

use Illuminate\Auth\Events\PasswordReset;
use Illuminate\Support\Facades\Mail;
use App\Mail\PasswordResetSuccessMail;

class SendPasswordResetSuccessNotification
{
    public function handle(PasswordReset $event)
    {
        Mail::to($event->user->email)
            ->send(new PasswordResetSuccessMail($event->user));
    }
}
